[RESOLU] Postfix impossible d'envoyer un mail en ligne de commande

Ответить
Аватара пользователя
HC_free
Сообщения: 33
Зарегистрирован: 16 окт 2013, 03:31
Operating system: KDE 4.14.37
ROSA Desktop Fresh R10 release 2016.1 for x86_64
NVidia GeForce GTX 960 4Go
12Go de RAM
Kernel 4.9.76-nrj-desktop-1rosa-x86_64 on a AMD Phenom(tm) II X4 955 Processor

[RESOLU] Postfix impossible d'envoyer un mail en ligne de commande

Сообщение HC_free » 04 сен 2015, 22:23

Bonsoir à tous

Je ne peux plus envoyer de mail en ligne de commande.

exemple:
mail -s "essai" xxx.zzzzzz@free.fr

Voir ci dessous le résultat dans la konsole:

Код: Выделить всё

 mail -s "essai" xxx.zzzzzz@free.fr
EOT
send-mail: warning: Postfix library version mis-match: wanted 2.10.2, found 2.9.4
postdrop: warning: Postfix library version mis-match: wanted 2.10.2, found 2.9.4
[HC_free@HC_free~]$ postdrop: warning: unable to look up public/pickup: No such file or directory
Dans le gestionnaire de paquetages, il n'est pas possible d'installer la version des bibliothèques 2.10.2 de

lib64postfix-dns1 : ‎ /usr/lib64/libpostfix-dns.so.1
lib64postfix-global1 : ‎/usr/lib64/libpostfix-global.so.1
lib64postfix-master1 : /usr/lib64/libpostfix-master.so.1
lib64postfix-milter1 : /usr/lib64/libpostfix-milter.so.1
lib64postfix-tls1 : ‎ /usr/lib64/libpostfix-tls.so.1
lib64postfix-util1 : ‎/usr/lib64/libpostfix-util.so.1
lib64postfix-xsasl1 : ‎/usr/lib64/libpostfix-xsasl.so.1

à cause des conflits avec le paquet lib64postfix1 qui intègre les bibliothèques cités plus haut en version 2.9.4 .

Je ne veux pas désinstaller et réinstallé pour le moment les bibliothèques plus récentes (séparément) au risque que la messagerie "thunderbird" ne fonctionne plus (compatibilité avec la version des bibliothèques n-1).

Avez vous constaté le même phénomène chez vous ?

Merci.
HC_free
Последний раз редактировалось HC_free 13 сен 2015, 16:59, всего редактировалось 1 раз.
KDE 4.14.13
ROSA Desktop Fresh R7
NVidia GeForce GT 240 1Go (NVIDIA Driver Version:340.96)
12Go de RAM
Kernel 4.2.22-nrj-desktop-3rosa-x86_64(SMP) on a AMD Phenom(tm) II X4 955 Processor 800.00 Mhz

Аватара пользователя
Gerardll51
Сообщения: 1390
Зарегистрирован: 13 окт 2013, 23:34
Operating system: ROSA Desktop Fresh R10 release 2016.1 for x86_64
4.9.124-nrj-desktop-1rosa-x86_64. KDE Plasma 4.14.37
NVIDIA Corporation GF110 [GeForce GTX 570] (rev a1). GLX Version : 4.4.0 NVIDIA 340.107. Intel Core2 Duo E8400 (-MCP-). 4 Go RAM

Re: Postfix impossible d'envoyer un mail en ligne de commande

Сообщение Gerardll51 » 05 сен 2015, 15:50

Bonjour HC_free,

Déjà merci, je ne savais pas qu'on pouvait envoyez un message via la konsole.

J'ai le même souci :

Код: Выделить всё

[gerard@administrateur-desktop ~]$ postdrop: warning: unable to look up public/pickup: No such file or directory
Obligé de faire un Ctrl+C pour reprendre la main.

La page man de cette commande mail est énorme!
Au début j'avais pris la commande mailx, faut que je regarde la différence.

Voilà, si ça peut t'aider. :-)
Très bien la distribution Rosa!

Аватара пользователя
HC_free
Сообщения: 33
Зарегистрирован: 16 окт 2013, 03:31
Operating system: KDE 4.14.37
ROSA Desktop Fresh R10 release 2016.1 for x86_64
NVidia GeForce GTX 960 4Go
12Go de RAM
Kernel 4.9.76-nrj-desktop-1rosa-x86_64 on a AMD Phenom(tm) II X4 955 Processor

Re: Postfix impossible d'envoyer un mail en ligne de commande

Сообщение HC_free » 08 сен 2015, 00:20

Bonsoir,

j'ai résolu une partie

Код: Выделить всё

postdrop: warning: unable to look up public/pickup: No such file or directory
1) En arrêtant postfix
service postfix stop
2) En tapant dans console
mkfifo /var/spool/postfix/public/pickup ps aux | grep mail
3) en redémarrant postfix
service postfix start

par contre, j'ai toujours
send-mail: warning: Postfix library version mis-match: wanted 2.10.2, found 2.9.4
postdrop: warning: Postfix library version mis-match: wanted 2.10.2, found 2.9.4

Код: Выделить всё

[HC_free@HC_fee ~]$ mail -s "essai" hxxx.yyyyy@free.fr
cc:
.
EOT
send-mail: warning: Postfix library version mis-match: wanted 2.10.2, found 2.9.4
postdrop: warning: Postfix library version mis-match: wanted 2.10.2, found 2.9.4
Pour finir la saisie du mail utilisez le point ( .+ENTER) ou Ctrl+D

HC_free
KDE 4.14.13
ROSA Desktop Fresh R7
NVidia GeForce GT 240 1Go (NVIDIA Driver Version:340.96)
12Go de RAM
Kernel 4.2.22-nrj-desktop-3rosa-x86_64(SMP) on a AMD Phenom(tm) II X4 955 Processor 800.00 Mhz

Аватара пользователя
HC_free
Сообщения: 33
Зарегистрирован: 16 окт 2013, 03:31
Operating system: KDE 4.14.37
ROSA Desktop Fresh R10 release 2016.1 for x86_64
NVidia GeForce GTX 960 4Go
12Go de RAM
Kernel 4.9.76-nrj-desktop-1rosa-x86_64 on a AMD Phenom(tm) II X4 955 Processor

Re: [RESOLU] Postfix impossible d'envoyer un mail en ligne de commande

Сообщение HC_free » 13 сен 2015, 17:12

Bonjour à tous.

Après la mise à jour récente de thunderbird, le problème de dépendance des paquetages avec postfix est réglé.
j'ai désintallé postfix et reinstallé postfix, les libs de la version 2.10.2 ont été donc installées (plus de message mis-match version).

J'ai ensuite testé l'envoi de mail en ligne de commande, j'ai eu de nouveau le message:

Код: Выделить всё

postdrop: warning: unable to look up public/pickup: No such file or directory
Pour resoudre le problème, j'ai arrêté et redémarré postfix. et maintenant ça fonctionne :P

HC_free
KDE 4.14.13
ROSA Desktop Fresh R7
NVidia GeForce GT 240 1Go (NVIDIA Driver Version:340.96)
12Go de RAM
Kernel 4.2.22-nrj-desktop-3rosa-x86_64(SMP) on a AMD Phenom(tm) II X4 955 Processor 800.00 Mhz

Ответить